Bug 847846 - gluster volume reset of single option does not work.
Summary: gluster volume reset of single option does not work.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd   
(Show other bugs)
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Krutika Dhananjay
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 852143
TreeView+ depends on / blocked
 
Reported: 2012-08-13 18:12 UTC by Pranith Kumar K
Modified: 2013-07-24 17:48 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852143 (view as bug list)
Environment:
Last Closed: 2013-07-24 17:48:23 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pranith Kumar K 2012-08-13 18:12:41 UTC
Description of problem:
Problem exists even in 3.3.0
[root@pranithk-laptop ~]# gluster volume info
 
Volume Name: vol
Type: Distribute
Volume ID: 6f3224f5-f827-4764-9673-1c73fb75492e
Status: Created
Number of Bricks: 1
Transport-type: tcp
Bricks:
Brick1: 192.168.122.1:/tmp/0
Options Reconfigured:
diagnostics.client-log-level: DEBUG
[root@pranithk-laptop ~]# gluster volume reset vol client-log-level 
reset volume successful
[root@pranithk-laptop ~]# gluster volume info
 
Volume Name: vol
Type: Distribute
Volume ID: 6f3224f5-f827-4764-9673-1c73fb75492e
Status: Created
Number of Bricks: 1
Transport-type: tcp
Bricks:
Brick1: 192.168.122.1:/tmp/0
Options Reconfigured:
diagnostics.client-log-level: DEBUG
[root@pranithk-laptop ~]# gluster volume reset vol 
reset volume successful
[root@pranithk-laptop ~]# gluster volume info
 
Volume Name: vol
Type: Distribute
Volume ID: 6f3224f5-f827-4764-9673-1c73fb75492e
Status: Created
Number of Bricks: 1
Transport-type: tcp
Bricks:
Brick1: 192.168.122.1:/tmp/0
[root@pranithk-laptop ~]# 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Csaba Henk 2012-08-31 17:01:45 UTC
@pranith:

As of the message of the proposed fix -- http://review.gluster.org/3860 -- and also my experience,

  gluster volume reset vol client-log-level

(as you have in the report) works as expected; the problematic case is when a
fully qualified option name is used (like diagnostics.client-log-level).

Please confirm/clarify whether it is the issue.

Comment 2 Pranith Kumar K 2012-08-31 17:33:33 UTC
Yes. Wrong copy paste I guess :-(. Logged this bug pretty late in the night. I did explain it correctly to krutika.


Note You need to log in before you can comment on or make changes to this bug.